Subject: bug#36111: closed (Re: bug#36111: Support cleveref labels in AUCTeX and RefTeX)

From: [email-masked] (GNU bug Tracking System)
Date: Sat, 15 Jun 2019 20:02:02 +0000

Your bug report

#36111: Support cleveref labels in AUCTeX and RefTeX

which was filed against the auctex package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
36111: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=36111
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#36111: Support cleveref labels in AUCTeX and RefTeX
From: Arash Esbati <[email-masked]>
To: Ryan Kavanagh <[email-masked]>
Cc: [email-masked]
Date: Sat, 15 Jun 2019 22:01:30 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Ryan Kavanagh <[email-masked]> writes:

> The new cleveref.el you provided fixes the bug. Thanks!

Thanks for reporting this bug and testing the fix.  I've pushed a change
to AUCTeX repo -- closing this one.

Best, Arash

Subject: Support cleveref labels in AUCTeX and RefTeX
From: Ryan Kavanagh <[email-masked]>
To: [email-masked]
Date: Wed, 5 Jun 2019 20:29:08 -0400
List-Id: <debbugs-submit.debbugs.gnu.org>

Package: auctex
Severity: wishlist

I use the cleveref package, which allows annotating \label commands with
an optional argument. Unfortunately, this prevents both AUCTeX and
RefTeX from detecting those labels.

To illustrate, here is some LaTeX code from which AUCTeX and RefTeX fail
to extract the label "eq:23":

    \usepackage{cleveref}
    \crefname{diagram}{diagram}{diagrams}
    % ...
    \begin{equation}
      \label[diagram]{eq:23}
      1 = 1
    \end{equation}

This is problematic, because the function reftex-label will reuse the
label "eq:23".

I am not sufficiently familiar with emacs lisp to submit a patch, but I
think I have found some of the places that should be updated:

* The variable LaTeX-auto-label-regexp-list in latex.el

* The function reftex-parse-from-file hardcodes the prefix "\\label{".
  Perhaps this could be a customizable regexp?

More details can be found in this question:
https://tex.stackexchange.com/q/494337/6128 .

Please add support for cleveref labels to AUCTeX and RefTeX.

Best,
Ryan

-- 
|)|/  Ryan Kavanagh      | GPG: 4E46 9519 ED67 7734 268F
|\|\  https://rak.ac     |      BD95 8F7B F8FC 4A11 C97A